package com.loafle.overflow.commons.service;

import com.loafle.overflow.module.domain.model.Domain;

public interface MessagePublisher {
    void publishToMember(final String channel, final String memberID, final String method, final Object... params);
    void publishToDomain(final String channel, final Domain domain, final String method, final Object... params);
    void publishToDomainByProbeKey(final String channel, final String probeKey, final String method, final Object... params);
}
